Bug 293471 - mouse_drv and synaptics_drv 4 requires 4 clicks to work
mouse_drv and synaptics_drv 4 requires 4 clicks to work
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-mouse (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Peter Hutterer
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-09-17 12:47 EDT by Warren Togami
Modified: 2008-09-08 11:34 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-09-08 11:34:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Xorg.0.log after GNOME startup and four clicks. (62.87 KB, text/plain)
2007-09-18 15:01 EDT, Warren Togami
no flags Details
xorg.conf default from F8 install (except deactivated stuff that I added while testing) (914 bytes, text/plain)
2007-09-18 15:02 EDT, Warren Togami
no flags Details
Xorg.0.log without a config file (71.63 KB, text/plain)
2007-09-18 15:10 EDT, Warren Togami
no flags Details

  None (edit)
Description Warren Togami 2007-09-17 12:47:21 EDT

Hardware: Lenovo Thinkpad T60
This laptop has two built-in mice, a Synaptics trackpad and nubbin.  Both have
their own set of mouse buttons.

If both mouse drivers are loaded, clicking the mouse buttons of mouse_drv fails
until the fourth click.  Thereafter mouse clicking works as expected with no
issues during that X session.  Restarting X reproduces the problem.  Clicking on
the synaptics mouse buttons has no problem immediately after an X restart. 
Clicking on a USB mouse has no problem as well.

If synaptics_drv is loaded without mouse_drv, then the mouse_drv buttons are

If mouse_drv is loaded without synaptics_drv, then all buttons work without any

This problem has existed since at least F7.
Comment 1 Matěj Cepl 2007-09-17 13:15:49 EDT
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Warren Togami 2007-09-18 15:01:35 EDT
Created attachment 198691 [details]
Xorg.0.log after GNOME startup and four clicks.
Comment 3 Warren Togami 2007-09-18 15:02:30 EDT
Created attachment 198701 [details]
xorg.conf default from F8 install (except deactivated stuff that I added while testing)
Comment 4 Warren Togami 2007-09-18 15:10:57 EDT
Created attachment 198711 [details]
Xorg.0.log without a config file
Comment 5 Bug Zapper 2008-04-04 09:51:15 EDT
Based on the date this bug was created, it appears to have been reported
during the development of Fedora 8. In order to refocus our efforts as
a project we are changing the version of this bug to '8'.

If this bug still exists in rawhide, please change the version back to
(If you're unable to change the bug's version, add a comment to the bug
and someone will change it for you.)

Thanks for your help and we apologize for the interruption.

The process we're following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 6 Peter Hutterer 2008-07-17 20:56:34 EDT
can you confirm if this is still an issue please?
Comment 7 Matěj Cepl 2008-09-07 15:40:16 EDT
Reporter, could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 8 Warren Togami 2008-09-08 11:34:50 EDT
Seems OK with F9 + updates now.

Note You need to log in before you can comment on or make changes to this bug.